Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class SkipPageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.JspException
                  javax.servlet.jsp.SkipPageException

All Implemented Interfaces:
  java.io.Serializable

public class SkipPageException
extends JspException

Exception to indicate the calling page must cease evaluation. Thrown by a simple tag handler to indicate that the remainder of the page must not be evaluated. The result is propagated back to the pagein the case where one tag invokes another (as can be the case with tag files). The effect is similar to that of a Classic Tag Handler returning Tag.SKIP_PAGE from doEndTag(). Jsp Fragments may also throw this exception. This exception should not be thrown manually in a JSP page or tag file - the behavior is undefined. The exception is intended to be thrown inside SimpleTag handlers and in JSP fragments.

Since:
  2.0
See Also:
  `SimpleTag.doTag()`, `JspFragment.invoke(java.io.Writer)`, `Tag.doEndTag()`, Serialized Form

Constructor Summary
`SkipPageException()` Creates a SkipPageException with no message.
`SkipPageException(java.lang.String message)` Creates a SkipPageException with the provided message.
`SkipPageException(java.lang.String message, java.lang.Throwable rootCause)` Creates a SkipPageException with the provided message and root cause.
`SkipPageException(java.lang.Throwable rootCause)` Creates a SkipPageException with the provided root cause.

Methods inherited from class javax.servlet.jsp.JspException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SkipPageException

    public SkipPageException()

  Creates a SkipPageException with no message.

### SkipPageException

    public SkipPageException(java.lang.String message)

  Creates a SkipPageException with the provided message.

Parameters:
  `message` - the detail message

### SkipPageException

    public SkipPageException(java.lang.String message,
                             java.lang.Throwable rootCause)

  Creates a SkipPageException with the provided message and root cause.

Parameters:
  `message` - the detail message
  `rootCause` - the originating cause of this exception

### SkipPageException

    public SkipPageException(java.lang.Throwable rootCause)

  Creates a SkipPageException with the provided root cause.

Parameters:
  `rootCause` - the originating cause of this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.